package util

import (
	"github.com/gogap/logrus_mate"
	_ "github.com/gogap/logrus_mate/writers/rotatelogs"
	"github.com/sirupsen/logrus"
)

func InitLogrus(mode string) {
	mate, err := logrus_mate.NewLogrusMate(logrus_mate.ConfigFile("conf/log.conf"))
	if err = mate.Hijack(logrus.StandardLogger(), mode); err != nil {
		return
	}
}
